// ==========================================
// Accessibility
// ==========================================
@use "../../../../../../node_modules/sass-rem/rem";
@use "../../utilities/variables/" as v;

.screen-reader-shortcut,
.screen-reader-text,
.screen-reader-text span {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    overflow: hidden;
    position: absolute !important;
    width: 1px;
    word-wrap: normal !important;
}

.screen-reader-text:focus,
.screen-reader-shortcut:focus,
.widget-search input[type="submit"]:focus {
    background: v.$input-focus--background-color;
    box-shadow: 0 0 2px 2px rgb(0 0 0 / 60%);
    clip: auto !important;
    color: v.$input-focus--color;
    display: block;
    font-size: rem.convert(v.$input-focus--font-size);
    font-weight: bold;
    height: auto;
    padding: 15px 23px 14px;
    text-decoration: none;
    width: auto;
    z-index: 100000; /* Above WP toolbar. */
}

.more-link {
    position: relative;
}

/* Display outline on focus */
*:focus {
    color: v.$mine-shaft;
    outline: 1px solid v.$outline--color;
}
